Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 438274 - kde-base/konqueror-4.9.2 crashes with segmentation fault when changing cookie settings
Summary: kde-base/konqueror-4.9.2 crashes with segmentation fault when changing cookie...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL: https://bugs.kde.org/show_bug.cgi?id=...
Whiteboard: fixed in 4.9.3-r1
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-13 21:40 UTC by Guido Winkelmann
Modified: 2012-11-11 16:50 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Winkelmann 2012-10-13 21:40:29 UTC
Konqueror 4.9.2 crashes with a segmentation fault for some people when changing cookie settings.

To reproduce:

Click Settings -> Configure Konqueror -> Web Browsing -> Cookies
Change something (for example the Default Policy)
Click on either OK or Cancel

For more details, see the KDE bug tracker under https://bugs.kde.org/show_bug.cgi?id=307831

Note that there is already a patch for this issue to be found under this address. It would be nice if Gentoo could push a -r1 ebuild for Konqueror with this patch included until 4.9.3 is out.
Comment 1 Johannes Huber gentoo-dev 2012-10-13 23:07:56 UTC
Thanks for reporting. We want to wait for the patch applied in KDE/4.9 branch before we do the revision bump.
Comment 2 Guido Winkelmann 2012-11-11 09:14:54 UTC
(In reply to comment #1)
> Thanks for reporting. We want to wait for the patch applied in KDE/4.9
> branch before we do the revision bump.

Apparently they did that now:

https://bugs.kde.org/show_bug.cgi?id=307831#c20
Comment 3 Michael Palimaka (kensington) gentoo-dev 2012-11-11 16:50:12 UTC
Thanks, this is fixed upstream for 4.9.4, and we have backported to 4.9.3-r1.

+  11 Nov 2012; Michael Palimaka <kensington@gentoo.org>
+  +files/konqueror-4.9.3-crash.patch, +konqueror-4.9.3-r1.ebuild:
+  Backport a patch from upstream fixing a crash, wrt bug #438274.